csr_concat_line< T, M >

## Public Types

typedef csr_concat_value< T, M >::size_type | size_type
typedef csr_concat_value< T, M >::sizes_type | sizes_type
typedef csr_concat_value< T, M >::sizes_pair_type | sizes_pair_type
typedef csr_concat_value< T, M > | value_type

## Public Member Functions

| csr_concat_line ()
| csr_concat_line (const std::initializer_list< value_type > &il)
void | push_back (const value_type &x)
void | build_csr_pass0 (std::pair< size_type, size_type > &row_sizes, std::vector< std::pair< size_type, size_type > > &col_sizes, communicator &comm) const
void | build_csr_pass1 (const std::pair< size_type, size_type > &row_sizes, const std::vector< std::pair< size_type, size_type > > &col_sizes, const communicator &comm, distributor &row_ownership, distributor &col_ownership, std::vector< distributor > &col_start_by_component) const
void | build_csr_pass2 (asr< T, M > &a, const std::pair< size_type, size_type > &row_sizes, const distributor &row_start_by_component, const std::vector< std::pair< size_type, size_type > > &col_sizes, const std::vector< distributor > &col_start_by_component) const
csr< T, M > | build_csr () const

## Static Public Member Functions

static void | set_sizes (std::pair< size_type, size_type > &row_sizes, std::pair< size_type, size_type > &col_sizes, const std::pair< size_type, size_type > &new_row_sizes, const std::pair< size_type, size_type > &new_col_sizes)
static void | finalize_sizes (std::pair< size_type, size_type > &sizes, const communicator &comm)
static void | finalize_sizes (std::vector< std::pair< size_type, size_type > > &sizes, const communicator &comm)

## Static Public Attributes

static constexpr size_type | undef = std::numeric_limits<size_type>::max()
static constexpr size_type | zero = 0

## Protected Attributes

std::list< value_type > | _l

## Detailed Description

### template<class T, class M>
class rheolef::details::csr_concat_line< T, M >

Definition at line 93 of file csr_concat.h.

## Member Typedef Documentation

## size_type

typedef csr_concat_value<T,M>::size_type size_type

Definition at line 98 of file csr_concat.h.

## sizes_type

typedef csr_concat_value<T,M>::sizes_type sizes_type

Definition at line 99 of file csr_concat.h.

## sizes_pair_type

typedef csr_concat_value<T,M>::sizes_pair_type sizes_pair_type

Definition at line 100 of file csr_concat.h.

## value_type

typedef csr_concat_value<T,M> value_type

Definition at line 105 of file csr_concat.h.

## Constructor & Destructor Documentation

## csr_concat_line() [1/2]

csr_concat_line | ( |  | ) |

Definition at line 109 of file csr_concat.h.

## csr_concat_line() [2/2]

csr_concat_line | ( | const std::initializer_list< value_type > & | il | ) |

Definition at line 111 of file csr_concat.h.

## Member Function Documentation

## push_back()

void push_back | ( | const value_type & | x | ) |

Definition at line 117 of file csr_concat.h.

## set_sizes()

void set_sizes | ( | std::pair< size_type, size_type > & | row_sizes,
|  | std::pair< size_type, size_type > & | col_sizes,
|  | const std::pair< size_type, size_type > & | new_row_sizes,
|  | const std::pair< size_type, size_type > & | new_col_sizes
| ) |  |

static

Definition at line 37 of file csr_concat.cc.

## finalize_sizes() [1/2]

void finalize_sizes | ( | std::pair< size_type, size_type > & | sizes,
|  | const communicator & | comm
| ) |  |

static

Definition at line 64 of file csr_concat.cc.

## finalize_sizes() [2/2]

void finalize_sizes | ( | std::vector< std::pair< size_type, size_type > > & | sizes,
|  | const communicator & | comm
| ) |  |

static

Definition at line 78 of file csr_concat.cc.

## build_csr_pass0()

void build_csr_pass0 | ( | std::pair< size_type, size_type > & | row_sizes,
|  | std::vector< std::pair< size_type, size_type > > & | col_sizes,
|  | communicator & | comm
| ) |  | const

Definition at line 91 of file csr_concat.cc.

## build_csr_pass1()

void build_csr_pass1 | ( | const std::pair< size_type, size_type > & | row_sizes,
|  | const std::vector< std::pair< size_type, size_type > > & | col_sizes,
|  | const communicator & | comm,
|  | distributor & | row_ownership,
|  | distributor & | col_ownership,
|  | std::vector< distributor > & | col_start_by_component
| ) |  | const

Definition at line 212 of file csr_concat.cc.

## build_csr_pass2()

void build_csr_pass2 | ( | asr< T, M > & | a,
|  | const std::pair< size_type, size_type > & | row_sizes,
|  | const distributor & | row_start_by_component,
|  | const std::vector< std::pair< size_type, size_type > > & | col_sizes,
|  | const std::vector< distributor > & | col_start_by_component
| ) |  | const

Definition at line 236 of file csr_concat.cc.

## build_csr()

csr< T, M > build_csr

Definition at line 353 of file csr_concat.cc.

## Member Data Documentation

## undef

constexpr size_type undef = std::numeric_limits<size_type>::max()

static constexpr

Definition at line 102 of file csr_concat.h.

## zero

constexpr size_type zero = 0

static constexpr

Definition at line 103 of file csr_concat.h.

## _l

std::list<value_type> _l

protected

Definition at line 165 of file csr_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/csr.h
- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/csr_concat.h
- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/csr_concat.cc